Package be.fgov.ehealth.dics.protocol.v5

# Class DicsRequestType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FindAmppRequest`, `FindAmpRequestType`, `FindChapterIVParagraphRequest`, `FindCommentedClassificationRequest`, `FindCompanyRequest`, `FindCompoundingFormulaRequest`, `FindCompoundingIngredientRequest`, `FindLegislationTextRequest`, `FindNonMedicinalProductRequest`, `FindReferencesRequest`, `FindReimbursementRequest`, `FindVmpGroupRequest`, `FindVmpRequest`, `FindVtmRequest`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class DicsRequestType extends RequestType implements Serializable
Common type for all DICS requests. Adds a Search Date to the eHealth Commons Request Type

Java class for DicsRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DicsRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DicsRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getSearchDate()`
  Request data valid on the given Search Date.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DicsRequestType

    public DicsRequestType()

- ## Method Details

  - ### getSearchDate

    public Instant getSearchDate()
    Request data valid on the given Search Date. Optional: if omitted, the search date is the current date.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSearchDate()`